Subject: Re: smoothing methodology for extracting forward forward volatilities
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 6 Dec 2000 06:39:00 -0800 (PST)

Winston,
here is a document related to smoothing methodology for FF vols calculation.
I am sending you also a spreadsheet prototype model with examples for gas and 
power.
 Fitting in the spreadsheet is done with "Solver". 
I'll figure out how to implement minimization in the code.

Thank you,
Tanya.

Tanya Tamarchenko
11/17/2000 02:59 PM
To: Naveen Andrews/Corp/Enron@ENRON, Alex Huang/Corp/Enron@ENRON
cc: Vince J Kaminski/HOU/ECT@ECT, Vasant Shanbhogue/HOU/ECT@ECT, Vladimir 
Gorny/HOU/ECT@ECT 
Subject: Re: smoothing methodology for extracting forward forward 
volatilities  

Following up on our discussions I implemented one method for creating forward 
forward curve
from implied vol curve. 
I sorted out 12 forward curves from an original forward vol curve, each of 12 
curves corresponding
to certain month. Then I fitted each of 12 curves with a function:

y=a+A/power(x+b, beta)

I figured out that when beta is from (0, .5) the above function is suitable 
for performing our bootstrapping
routine of deriving ff vols from implied, because:

y(x+t) * y(x+t) * (x+t) - y(x) * y(x) * tx> 0                  for all x, t.

(I have to double check on this again. Also when beta>0.5 there are some 
combinations of parameters a, A, b, beta
for which above equality holds). Even with restriction on beta this class of 
functions represents quite a variety of shapes.

Below you see the example of fitting as well as the example of ff vol curve 
constructed from implied vol curve for NG.

I'll try this for power as well.

Any comments?